import { request } from '@/service/request';

/** 获取学校多名称列表 */
export function fetchGetSchoolNameList(params?: Api.Art.SchoolNameSearchParams) {
  return request<Api.Art.SchoolNameList>({
    url: '/art/schoolName/list',
    method: 'get',
    params
  });
}
/** 新增学校多名称 */
export function fetchCreateSchoolName(data: Api.Art.SchoolNameOperateParams) {
  return request<boolean>({
    url: '/art/schoolName',
    method: 'post',
    data
  });
}

/** 修改学校多名称 */
export function fetchUpdateSchoolName(data: Api.Art.SchoolNameOperateParams) {
  return request<boolean>({
    url: '/art/schoolName',
    method: 'put',
    data
  });
}

/** 批量删除学校多名称 */
export function fetchBatchDeleteSchoolName(schoolNameIds: CommonType.IdType[]) {
  return request<boolean>({
    url: `/art/schoolName/${schoolNameIds.join(',')}`,
    method: 'delete'
  });
}
